<template>
    <div>
    <div class="product_wrap">
        <div class="row cg-sale-chart-border pad-top-sml"  v-if="!isEmpty" v-for="sale in products_">
        <div class="cg-sale-chart-item col-md-12 d-flex align-items-center justify-content-between">
            <div class="cg-product-dp col-md-1"><img class="img-fluid" :src="sale.product.cover_photo_path" :alt="sale.product.name" data-no-retina></div>
            <div class="cg-product-name col-md-4"><h4>{{ sale.product.name | subStrName }}</h4></div>
            <div class="cg-product-category col-md-2"><h4>{{ sale.product.product_sub_category.product_category.name }}</h4></div>
            <div class="cg-product-date col-md-2"><h4>{{ sale.date_added }}</h4></div>
            <!--                            <div class="cg-product-count col-md-1"><h4>1 x 26</h4></div>-->
            <div class="cg-product-commission col-md-2"><h4><span v-if="sale.total_price">-${{ sale.total_price - (sale.total_price / 100)*sale.invoice.author_fee | currency }}</span><span v-if="!sale.total_price">Free</span></h4></div>
            <div class="cg-product-price col-md-1"><h4><span v-if="sale.total_price">${{ (sale.total_price / 100)*sale.invoice.author_fee | currency }}</span><span v-if="!sale.total_price">Free</span></h4></div>
        </div>
    </div>
        <div class="cg-empty-wrap"  v-if="isEmpty">
            <div class="cg-empty-content-wrap text-center add-btm-mdm">
                <img src="/images/no-items.svg" alt="creativegoods" class="img-ﬂuid width-30">
                <h4 class="font1 grey f18 w500 pad-top-mdm pad-btm-xsml">You don't have any sales yet.</h4>

            </div>
        </div>
    </div>
    <ShopPagination v-if="pagination.last_page > 1" :pagination="pagination" :offset="5" @paginate="fetchMySalesLastMonth()" ></ShopPagination>
    <div class="row" v-if="products_.length">
        <div class="col-md-12 cg-sale-total d-flex align-items-center add-top-sml">
            <div class="text-right"><h4>Total Sale Amount</h4></div>
            <div><h2>${{ this.pagination.total_amount | currency}}</h2></div>
        </div>
    </div>
    </div>
</template>
<style lang="scss" scoped>
.product_wrap{
    min-height: 300px;
}

</style>
<script>
    import ShopPagination from '../components/ShopPagination.vue'
    import Preloader from '../components/Preloader.vue'
    export default {
        props: ['user'],

        data(){
            return{
                user_:this.user,
                products_:{},
                isEmpty:false,
                pagination: {
                    'current_page': 1
                },
            }

        },
        components:{
            ShopPagination
        },
        methods: {
            fetchMySalesLastMonth() {
                this.preLoad() ;
                axios.get('/get_my_sales_author?page=' + this.pagination.current_page+'&status=last_month')
                    .then(response => {
                        this.products_ = response.data.data.data;
                        this.pagination = response.data.pagination;
                        if(this.products_.length ){
                          this.isEmpty=false;
                        }else{
                            this.isEmpty=true;
                        }
                    })
                    .catch(error => {
                        console.log(error.response.data);
                    });
            },

            preLoad: function() {
                // just open
                const close = this.$preloaders.open({
                    container: ".product_wrap",
                    component:Preloader,
                    "overlayStyle": {
                        "backgroundColor": "#fff",
                        "opacity": 1,
                    }
                });

                // and close. That's it.
                setTimeout(close, 1500);
            }

        },
        filters: {

            subStrName: function(string)
            {
                if(string.length >31)
                {
                    return string.substring(0,28) + '...';
                }
                else
                {
                    return string.substring(0,31);
                }
            },
            currency(amount) {
                const amt = Number(amount)
                return amt && amt.toLocaleString(undefined, {maximumFractionDigits:2}) || '0'
            }


        },
        mounted(){
            this.fetchMySalesLastMonth();
            this.preLoad();
        },
        beforeCreate() {
            this.isEmpty=false;
         }
    }

</script>
